Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510666 - WARNING: CPU: 2 PID: 0 at net/mac80211/rx.c:629 ieee80211_rx_napi+0x93b/0xa90 [mac80211]
Summary: WARNING: CPU: 2 PID: 0 at net/mac80211/rx.c:629 ieee80211_rx_napi+0x93b/0xa90...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 26
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-07 23:55 UTC by xzj8b3
Modified: 2018-03-01 15:03 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-01 15:03:23 UTC


Attachments (Terms of Use)
WARNING: CPU: 2 PID: 0 at net/mac80211/rx.c:629 ieee80211_rx_napi+0x93b/0xa90 [mac80211] (deleted)
2017-11-07 23:55 UTC, xzj8b3
no flags Details
4.13.11-200.fc26.x86_64 bug (deleted)
2017-11-08 10:42 UTC, xzj8b3
no flags Details
dmesg (deleted)
2017-11-21 07:09 UTC, Mike
no flags Details

Description xzj8b3 2017-11-07 23:55:47 UTC
Created attachment 1349160 [details]
WARNING: CPU: 2 PID: 0 at net/mac80211/rx.c:629 ieee80211_rx_napi+0x93b/0xa90  [mac80211]

Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller driver: r8169
Qualcomm Atheros QCA9565 / AR9565 Wireless Network Adapter driver: ath9k


WARNING: CPU: 2 PID: 0 at net/mac80211/rx.c:629 ieee80211_rx_napi+0x93b/0xa90 
[mac80211]

I attach the unfortunately incomplete data of its bug with the WiFi card!!

Please report what data can be useful for a possible resolution and if there were adequate tools for a more correct report given by now this bug will occur from Fedora 22!!!!

Comment 1 xzj8b3 2017-11-08 10:42:20 UTC
Created attachment 1349386 [details]
4.13.11-200.fc26.x86_64 bug

 4.13.11-200.fc26.x86_64 bug WiFi card

Comment 2 Mike 2017-11-21 07:06:57 UTC
Hello,

The same problem here. Any suggestion/fix, please?

[ 1004.844137] WARNING: CPU: 2 PID: 0 at net/mac80211/rx.c:629 ieee80211_rx_napi+0x93b/0xa90 [mac80211]
[ 1004.844141] Modules linked in: rfcomm fuse uhid cmac bnep xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables sunrpc intel_rapl x86_pkg_temp_thermal arc4 intel_powerclamp coretemp kvm_intel ath9k kvm ath9k_common ath9k_hw irqbypass snd_soc_skl snd_hda_codec_hdmi snd_soc_skl_ipc snd_soc_sst_ipc snd_soc_sst_dsp snd_hda_ext_core mac80211 snd_soc_sst_match
[ 1004.844210]  snd_soc_core crct10dif_pclmul snd_hda_codec_realtek snd_hda_codec_generic crc32_pclmul snd_compress snd_pcm_dmaengine ac97_bus hid_multitouch ath wmi_bmof dell_wmi ghash_clmulni_intel sparse_keymap intel_cstate iTCO_wdt intel_uncore iTCO_vendor_support uvcvideo snd_hda_intel intel_rapl_perf snd_hda_codec ath3k hci_uart cfg80211 videobuf2_vmalloc btusb dell_laptop dell_smbios btrtl videobuf2_memops btqca dcdbas snd_hda_core btbcm videobuf2_v4l2 btintel snd_hwdep dell_smm_hwmon videobuf2_core rtsx_usb_ms joydev snd_seq snd_seq_device bluetooth videodev snd_pcm memstick media tpm_tis snd_timer tpm_tis_core mei_me wmi mei snd ecdh_generic idma64 tpm shpchp dell_rbtn soundcore rfkill intel_lpss_pci intel_lpss_acpi intel_pch_thermal intel_lpss i2c_i801 acpi_pad acpi_als pinctrl_sunrisepoint
[ 1004.844292]  kfifo_buf industrialio pinctrl_intel dell_smo8800 rtsx_usb_sdmmc mmc_core rtsx_usb i915 i2c_algo_bit drm_kms_helper drm crc32c_intel serio_raw r8169 mii video i2c_hid
[ 1004.844321] CPU: 2 PID: 0 Comm: swapper/2 Not tainted 4.13.12-200.fc26.x86_64 #1
[ 1004.844324] Hardware name: Dell Inc. Latitude 3470/0R538X, BIOS 1.0.3 11/19/2015
[ 1004.844328] task: ffff98224cf926c0 task.stack: ffffa390406bc000
[ 1004.844372] RIP: 0010:ieee80211_rx_napi+0x93b/0xa90 [mac80211]
[ 1004.844376] RSP: 0018:ffff982252503d18 EFLAGS: 00010246
[ 1004.844381] RAX: 0000000000010000 RBX: ffff9822492eb900 RCX: 0000000000000002
[ 1004.844385] RDX: 0000000000000004 RSI: 0000000000000000 RDI: ffffffffc0a49000
[ 1004.844388] RBP: ffff982252503de8 R08: 0000000000000000 R09: ffff9822527a7000
[ 1004.844392] R10: 0000000000000000 R11: 0000000000000001 R12: ffff9822403a8780
[ 1004.844395] R13: 0000000000000000 R14: 0000000000000000 R15: 0000000000000004
[ 1004.844400] FS:  0000000000000000(0000) GS:ffff982252500000(0000) knlGS:0000000000000000
[ 1004.844404] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[ 1004.844408] CR2: 00007efe58440d78 CR3: 0000000124e09000 CR4: 00000000003406e0
[ 1004.844412] Call Trace:
[ 1004.844417]  <IRQ>
[ 1004.844430]  ? map_single+0x32/0x80
[ 1004.844441]  ? __netdev_alloc_skb+0xc8/0x120
[ 1004.844448]  ? ath9k_cmn_rx_skb_postprocess+0x4b/0x130 [ath9k_common]
[ 1004.844461]  ath_rx_tasklet+0xaa6/0xf60 [ath9k]
[ 1004.844473]  ath9k_tasklet+0x15f/0x220 [ath9k]
[ 1004.844481]  tasklet_action+0x5e/0x110
[ 1004.844488]  __do_softirq+0xea/0x2bf
[ 1004.844494]  irq_exit+0xfb/0x100
[ 1004.844498]  do_IRQ+0x80/0xd0
[ 1004.844506]  common_interrupt+0x93/0x93
[ 1004.844513] RIP: 0010:cpuidle_enter_state+0x130/0x2d0
[ 1004.844517] RSP: 0018:ffffa390406bfe58 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff5e
[ 1004.844522] RAX: ffff98225251a440 RBX: 000000e9f55c86d2 RCX: 000000000000001f
[ 1004.844526] RDX: 000000e9f55c86d2 RSI: fffffffbd9e0508b RDI: 0000000000000000
[ 1004.844530] RBP: ffffa390406bfe98 R08: 0000000000000b49 R09: 0000000000000018
[ 1004.844533] R10: ffffa390406bfe28 R11: 0000000000000aec R12: ffff982252522a20
[ 1004.844537] R13: 0000000000000000 R14: 0000000000000006 R15: ffffffffa1f72dd8
[ 1004.844540]  </IRQ>
[ 1004.844549]  ? cpuidle_enter_state+0x120/0x2d0
[ 1004.844555]  cpuidle_enter+0x17/0x20
[ 1004.844563]  call_cpuidle+0x23/0x40
[ 1004.844568]  do_idle+0x18f/0x1e0
[ 1004.844575]  cpu_startup_entry+0x73/0x80
[ 1004.844581]  start_secondary+0x156/0x190
[ 1004.844588]  secondary_startup_64+0x9f/0x9f
[ 1004.844592] Code: e0 48 85 c0 0f 84 80 fa ff ff 48 8b 95 70 ff ff ff 4c 8b b3 d8 00 00 00 44 8b 85 60 ff ff ff 4c 8b ba d8 00 00 00 e9 42 f9 ff ff <0f> ff 48 89 df e8 ab c1 dc e0 e9 98 f7 ff ff 48 89 de 4c 89 e7 
[ 1004.844658] ---[ end trace 162f2c94b309184a ]---

Comment 3 Mike 2017-11-21 07:09:25 UTC
Created attachment 1356400 [details]
dmesg

dmesg log

Comment 4 xzj8b3 2017-11-22 18:01:47 UTC
Linux does not advance, bad driver support for Intel Cipset and various network adapters, unable to properly use on Notebook as open drivers heat too much and the use of RAM is really too excessive with Gnome Shell!!!!!

Comment 5 xzj8b3 2017-11-22 18:15:31 UTC
I have no advice, the problem persists from Fedora 22 as many other problems related to Intel Cipset which even fail to report correctly because ABRT is not able to bring them properly..... Fedora 27 connects to fatigue and problems at a tide of users..... I came back momentantaneamente to Windows that despite the flaws at least on Notebook works properly......

Linux has for years developed several desktops without ever concentrating on one creating so only problems to users with changes of drivers and cutting graphics cards that work on numerous machines and notebooks currently in circulation..... The drivers present are all of poor quality and even richer bugs than those present in Windows!!! Linux will always remain a small niche of utilities, as long as it is developed so!!!!!!

Comment 6 Laura Abbott 2018-02-28 03:51:00 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale. The kernel moves very fast so bugs may get fixed as part of a kernel update. Due to this, we are doing a mass bug update across all of the Fedora 26 kernel bugs.
 
Fedora 26 has now been rebased to 4.15.4-200.fc26.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 27, and are still experiencing this issue, please change the version to Fedora 27.
 
If you experience different issues, please open a new bug report for those.

Comment 7 xzj8b3 2018-03-01 14:38:56 UTC
With great regret passed momentarily to Windows 10 in that with an ATI R5 M230 with Open notebook driver warmed up too and every time I ran the fan was shooting at 1000, creating a crash..... Wifi and network no longer connect with latest kernels..... Hardware isn't ' recent, however I don't think it should create all these problems.... I have an Asus laptop with an I7-4510U

Hopefully within a year Fedora come back to shine!!!!!

Comment 8 xzj8b3 2018-03-01 14:39:38 UTC
With great regret passed momentarily to Windows 10 in that with an ATI R5 M230 with Open notebook driver warmed up too and every time I ran the fan was shooting at 1000, creating a crash..... Wifi and network no longer connect with latest kernels..... Hardware isn't ' recent, however I don't think it should create all these problems.... I have an Asus laptop with an I7-4510U

Hopefully within a year Fedora come back to shine!!!!!


Note You need to log in before you can comment on or make changes to this bug.